Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDClassicImportResolver Class Reference

`#include <nedcompiler.h>`

Inheritance diagram for NEDClassicImportResolver::

List of all members.

## Public Methods

| NEDClassicImportResolver ()
virtual | ~NEDClassicImportResolver ()
void | addImportPath (const char *dir)
virtual NEDElement* | loadImport (const char *import)

## Protected Attributes

NEDStringVector | importpath

## Detailed Description

Importresolver for NED-I; to be used with NEDCompiler. A NEDClassicImportResolver instance can be reused when compiling several independent files in a row.

The documentation for this class was generated from the following file:

- nedcompiler.h